commoble.looot.loot

## Class ApplyFunctionsIfTagged.Serializer

- java.lang.Object
- - net.minecraft.loot.LootFunction.Serializer<ApplyFunctionsIfTagged>
  - - commoble.looot.loot.ApplyFunctionsIfTagged.Serializer

All Implemented Interfaces:
  net.minecraft.loot.ILootSerializer<ApplyFunctionsIfTagged>

Enclosing class:
  ApplyFunctionsIfTagged

    public static class ApplyFunctionsIfTagged.Serializer
    extends net.minecraft.loot.LootFunction.Serializer<ApplyFunctionsIfTagged>

### Constructor Summary

Constructors
Constructor and Description
`Serializer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ApplyFunctionsIfTagged` `deserialize(com.google.gson.JsonObject baseObject, com.google.gson.JsonDeserializationContext deserializationContext, net.minecraft.loot.conditions.ILootCondition[] conditions)`
`void` `serialize(com.google.gson.JsonObject baseObject, ApplyFunctionsIfTagged applicator, com.google.gson.JsonSerializationContext serializationContext)`

### Methods inherited from class net.minecraft.loot.LootFunction.Serializer

`deserialize`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Serializer

    public Serializer()

### Method Detail

#### serialize

    public void serialize(com.google.gson.JsonObject baseObject,
                          ApplyFunctionsIfTagged applicator,
                          com.google.gson.JsonSerializationContext serializationContext)

Specified by:
  `serialize` in interface `net.minecraft.loot.ILootSerializer<ApplyFunctionsIfTagged>`
Overrides:
  `serialize` in class `net.minecraft.loot.LootFunction.Serializer<ApplyFunctionsIfTagged>`

#### deserialize

    public ApplyFunctionsIfTagged deserialize(com.google.gson.JsonObject baseObject,
                                              com.google.gson.JsonDeserializationContext deserializationContext,
                                              net.minecraft.loot.conditions.ILootCondition[] conditions)

Specified by:
  `deserialize` in class `net.minecraft.loot.LootFunction.Serializer<ApplyFunctionsIfTagged>`